KMTRACE(1)

NAME
kmtrace - a KDE memory leak tracer

SYNOPSIS
kmtrace [ generic-options ] [ -x, --exclude file ] [ -e, --exe file ] [ trace-log ]

DESCRIPTION
This manual page documents briefly the kmtrace command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

KMtrace is a KDE tool to assist with malloc debugging using glibc's "mtrace" functionality. Unfortunately the mtrace that is part of current (9/9/2000) glibc versions only logs the return-address of the malloc/free call. The library included with KMtrace logs a complete backtrace upon malloc/free.

KMtrace will investigate the trace log specified on the command line, or ktrace.out if no trace log is specified.

This utility is part of the KDE Software Development Kit.

OPTIONS
Below are the kmtrace-specific options. For a full summary of options, run kmtrace --help.

-x, --exclude file
    File containing symbols to exclude from output.

-e, --exe file
    Executable to use for looking up unknown symbols.

SEE ALSO
Much more extensive documentation can be found in /usr/share/doc/kmtrace/README.

AUTHOR
KMtrace was written by Waldo Bastian <bastian@kde.org>, Mike Haertel <mike@ai.mit.edu> and Andi Kleen <ak@suse.de>.
This manual page was written by Ben Burton <benb@acm.org> for the Debian GNU/Linux system (but may be used by others).